@charset "utf-8";
@import url("https://beauty-life.biz/wp/wp-content/themes/jin/css/root.css");

/***************************************
------------- 共通 BTN ------------
***************************************/
.common_btn {
  width: min(93%, 750px);
  margin: 20px auto 0;
  border-radius: 80px;
  color: var(--base-color01);
  background: #ffcc00;
  border: 2px solid #ffcc00;
  display: flex;
  flex-wrap: wrap;
  align-items: center;
  justify-content: center;
}

.common_btn a {
  width: 100%;
  padding: 16px 0;
  font-size: min(3.5vw, 3.5rem);
  font-weight: bold;
  line-height: 1;
  text-align: center;
  position: relative;
  transition: 0.5s;
}

.common_btn a:after {
  content: "";
  display: block;
  width: 20px;
  height: 24px;
  background: url(https://beauty-life.biz/wp/wp-content/themes/jin/img/svg/arrow_br.svg) no-repeat center /contain;
  position: absolute;
  top: 50%;
  right: 5%;
  transform: translate(-50%, -50%);
  transition: 0.5s;
}

.common_btn:hover {
  background: var(--base-color01);
  color: #fff;
  border-radius: 80px;
  border: 2px solid #fff;
  box-sizing: border-box;
}

.common_btn a:hover:after {
  background: url(https://beauty-life.biz/wp/wp-content/themes/jin/img/svg/arrow_wh.svg) no-repeat;
}

@media screen and (max-width: 599px) {
  .common_btn {
    width: 90%;
    margin: 10px auto 0;
  }

  .common_btn a {
    padding: 10px;
    font-size: clamp(2rem, 4.75vw, 2.4rem);
  }

  .common_btn a::after {
    width: 12px;
    height: 20px;
  }
}

.button {
  font-size: clamp(1.6rem, 1.6vw, 2rem);
  font-weight: 500;
  color: #fff;
  background: var(--base-color01);
  max-width: 400px;
  width: 100%;
  display: inline-block;
  text-align: center;
  padding: 0.4em 2.5em 0.4em 0.4em!important;
/*  padding: 0.4em; */
  position: relative;
  transition: 0.2s;
}

.button::after {
  display: block;
  content: "";
  position: absolute;
  top: 0;
  right: 20px;
  bottom: 0;
  margin: auto;
  width: 10px;
  height: 10px;
  border-top: 2px solid #fff;
  border-right: 2px solid #fff;
  transform: rotate(45deg);
  transition: 0.2s;
}

.button:hover {
  opacity: 0.8;
}

.button:hover::after {
  transform: translateX(5px) rotate(45deg);
}

.button.small {
  font-size: 1.8rem;
  padding: 0.2em;
  max-width: 200px;
  width: 100%;
}

.button.small:after {
  right: 8px;
  width: 10px;
  height: 5px;
  border: 5px solid transparent;
  border-left: 10px solid #fff;
}

.button.small:hover::after {
  right: 5px;
}

.button.color {
  background: var(--base-color03);
}
